Accepting request 241568 from home:elvigia:branches:Base:System

- Remove all remains of sysvinit compatibility. 
- Do not force-fed -fstack-protector in CFLAGS, already there
  and obsoleted by stack-protector-strong in gcc 4.9.
- Ensure doxygen never generates timestampted html docs.

- Update baselibs.conf: Obsoletes dbus-1-32bit in lib package.

- Remove all remains of sysvinit compatibility. 
- Do not force-fed -fstack-protector in CFLAGS, already there
  and obsoleted by stack-protector-strong in gcc 4.9.
- Ensure doxygen never generates timestampted html docs.

OBS-URL: https://build.opensuse.org/request/show/241568
OBS-URL: https://build.opensuse.org/package/show/Base:System/dbus-1?expand=0&rev=173
This commit is contained in:
Fridrich Strba 2014-07-21 11:52:56 +00:00 committed by Git OBS Bridge
parent b628a1841b
commit dea13aa463
6 changed files with 25 additions and 152 deletions

View File

@ -1,3 +1,16 @@
-------------------------------------------------------------------
Sat Jul 19 00:30:57 UTC 2014 - crrodriguez@opensuse.org
- Remove all remains of sysvinit compatibility.
- Do not force-fed -fstack-protector in CFLAGS, already there
and obsoleted by stack-protector-strong in gcc 4.9.
- Ensure doxygen never generates timestampted html docs.
-------------------------------------------------------------------
Thu Jul 10 14:00:06 UTC 2014 - fcrozat@suse.com
- Update baselibs.conf: Obsoletes dbus-1-32bit in lib package.
-------------------------------------------------------------------
Wed Jul 2 16:15:37 UTC 2014 - fstrba@suse.com

View File

@ -50,7 +50,6 @@ Version: 1.8.6
Release: 0
#
Source0: http://dbus.freedesktop.org/releases/dbus/%{_name}-%{version}.tar.gz
Source1: rc.boot.dbus
Source2: dbus-1.desktop
Source3: dbus_at_console.ck
Source4: baselibs.conf
@ -110,14 +109,13 @@ bus daemon).
%patch1 -p1
%build
echo 'HTML_TIMESTAMP=NO' >> Doxyfile.in
autoreconf -fi
# We use -fpie/-pie for the whole build; this is the recommended way to harden
# the build upstream, see discussion in fdo#46570
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC -fpie"
export LDFLAGS="-pie"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
export CFLAGS="$CFLAGS -fstack-protector"
export CXXFLAGS="$CXXFLAGS -fstack-protector"
export V=1
%configure \
--disable-static \
@ -153,13 +151,11 @@ doxygen -u && doxygen
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/usr/sbin
mv %{buildroot}/bin/dbus-launch %{buildroot}/%{_bindir}
mv %{buildroot}/bin/dbus-run-session %{buildroot}/%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/dbus
ln -sf %{_sysconfdir}/init.d/dbus %{buildroot}/%{_sbindir}/rcdbus
ln -sf %{_sbindir}/service %{buildroot}/%{_sbindir}/rcdbus
install -d %{buildroot}/run/dbus
mkdir -p %{buildroot}/%{_datadir}/susehelp/meta/Development/Libraries/
install -m 0644 %SOURCE2 \
@ -194,9 +190,6 @@ ln -sf /bin/dbus-send %{buildroot}/usr/bin/dbus-send
/usr/sbin/groupadd -r messagebus 2> /dev/null || :
/usr/sbin/useradd -r -s /bin/false -c "User for D-Bus" -d /run/dbus -g messagebus messagebus 2> /dev/null || :
%preun -n dbus-1
%{stop_on_removal dbus}
%post -n dbus-1
if [ -e %{_localstatedir}/lib/dbus/machine-id -a -e %{_sysconfdir}/machine-id ]; then
cmp -s %{_localstatedir}/lib/dbus/machine-id %{_sysconfdir}/machine-id > /dev/null
@ -212,13 +205,9 @@ if [ ! -e %{_localstatedir}/lib/dbus/machine-id ]; then
/bin/dbus-uuidgen --ensure
fi
fi
%{insserv_force_if_yast dbus}
/sbin/ldconfig
%set_permissions /lib/dbus-1/dbus-daemon-launch-helper
%postun -n dbus-1
%{insserv_cleanup}
%files
%defattr(-,root,root)
%{_bindir}/dbus-launch
@ -234,7 +223,6 @@ fi
%doc AUTHORS COPYING HACKING NEWS README
%config(noreplace) %{_sysconfdir}/dbus-1/session.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.conf
%{_sysconfdir}/init.d/dbus
%{_sysconfdir}/ConsoleKit
/bin/dbus-cleanup-sockets
/bin/dbus-daemon

View File

@ -76,13 +76,11 @@ bus daemon).
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/etc/init.d
mkdir -p %{buildroot}/usr/sbin
mv %{buildroot}/bin/dbus-launch %{buildroot}/%{_bindir}
mv %{buildroot}/bin/dbus-run-session %{buildroot}/%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/dbus
ln -sf %{_sysconfdir}/init.d/dbus %{buildroot}/%{_sbindir}/rcdbus
ln -sf %{_sbindir}/service %{buildroot}/%{_sbindir}/rcdbus
install -d %{buildroot}/run/dbus
mkdir -p %{buildroot}/%{_datadir}/susehelp/meta/Development/Libraries/
install -m 0644 %SOURCE2 \
@ -117,9 +115,6 @@ ln -sf /bin/dbus-send %{buildroot}/usr/bin/dbus-send
/usr/sbin/groupadd -r messagebus 2> /dev/null || :
/usr/sbin/useradd -r -s /bin/false -c "User for D-Bus" -d /run/dbus -g messagebus messagebus 2> /dev/null || :
%preun -n dbus-1
%{stop_on_removal dbus}
%post -n dbus-1
if [ -e %{_localstatedir}/lib/dbus/machine-id -a -e %{_sysconfdir}/machine-id ]; then
cmp -s %{_localstatedir}/lib/dbus/machine-id %{_sysconfdir}/machine-id > /dev/null
@ -135,13 +130,9 @@ if [ ! -e %{_localstatedir}/lib/dbus/machine-id ]; then
/bin/dbus-uuidgen --ensure
fi
fi
%{insserv_force_if_yast dbus}
/sbin/ldconfig
%set_permissions /lib/dbus-1/dbus-daemon-launch-helper
%postun -n dbus-1
%{insserv_cleanup}
%files
%defattr(-,root,root)
%{_bindir}/dbus-launch
@ -157,7 +148,6 @@ fi
%doc AUTHORS COPYING HACKING NEWS README
%config(noreplace) %{_sysconfdir}/dbus-1/session.conf
%config(noreplace) %{_sysconfdir}/dbus-1/system.conf
%{_sysconfdir}/init.d/dbus
%{_sysconfdir}/ConsoleKit
/bin/dbus-cleanup-sockets
/bin/dbus-daemon

View File

@ -1,3 +1,11 @@
-------------------------------------------------------------------
Sat Jul 19 00:30:57 UTC 2014 - crrodriguez@opensuse.org
- Remove all remains of sysvinit compatibility.
- Do not force-fed -fstack-protector in CFLAGS, already there
and obsoleted by stack-protector-strong in gcc 4.9.
- Ensure doxygen never generates timestampted html docs.
-------------------------------------------------------------------
Thu Jul 10 14:00:06 UTC 2014 - fcrozat@suse.com

View File

@ -44,7 +44,6 @@ Version: 1.8.6
Release: 0
#
Source0: http://dbus.freedesktop.org/releases/dbus/%{_name}-%{version}.tar.gz
Source1: rc.boot.dbus
Source2: dbus-1.desktop
Source3: dbus_at_console.ck
Source4: baselibs.conf
@ -101,14 +100,13 @@ bus daemon).
%patch1 -p1
%build
echo 'HTML_TIMESTAMP=NO' >> Doxyfile.in
autoreconf -fi
# We use -fpie/-pie for the whole build; this is the recommended way to harden
# the build upstream, see discussion in fdo#46570
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC -fpie"
export LDFLAGS="-pie"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
export CFLAGS="$CFLAGS -fstack-protector"
export CXXFLAGS="$CXXFLAGS -fstack-protector"
export V=1
%configure \
--disable-static \

View File

@ -1,124 +0,0 @@
#!/bin/sh
# Author: Timo Hoenig <thoenig@suse.de>
#
# /etc/init.d/dbus
#
### BEGIN INIT INFO
# Provides: dbus
# Required-Start: $local_fs
# Should-Start:
# Required-Stop: $local_fs
# Should-Stop:
# Default-Start: 2 3 5
# Default-Stop:
# Short-Description: D-Bus is a message bus system for applications to talk to one another.
# Description: D-Bus supplies both a system daemon and a per-user-login-session daemon.
# Also, the message bus is built on top of a general one-to-one message
# passing framework, which can be used by any two apps to communicate
# directly (without going through the message bus daemon).
### END INIT INFO
DBUS_DAEMON_BIN=/bin/dbus-daemon
test -x $DBUS_DAEMON_BIN || exit 5
DBUS_DAEMON_PARAMETER="--system";
DBUS_DAEMON_PID_DIR="/run/dbus"
DBUS_DAEMON_PID=$DBUS_DAEMON_PID_DIR/pid
DBUS_MACHINE_ID_DIR="/var/lib/dbus"
DBUS_MACHINE_ID=$DBUS_MACHINE_ID_DIR/machine-id
SYSTEM_MACHINE_ID="/etc/machine-id"
DBUS_UUIIDGEN_BIN=/bin/dbus-uuidgen
CONSOLEKIT_DAEMON_BIN="/usr/sbin/console-kit-daemon"
CONSOLEKIT_PID_DIR="/var/run/ConsoleKit"
CONSOLEKIT_PID=$CONSOLEKIT_PID_DIR/pid
# Source LSB init functions
# providing start_daemon, killproc, pidofproc,
# log_success_msg, log_failure_msg and log_warning_msg.
# This is currently not used by UnitedLinux based distributions and
# not needed for init scripts for UnitedLinux only. If it is used,
# the functions from rc.status should not be sourced or used.
#. /lib/lsb/init-functions
. /etc/rc.status
# Reset status of this service
rc_reset
case "$1" in
start)
if [ -x $DBUS_UUIIDGEN_BIN -a ! -e $DBUS_MACHINE_ID -a ! -e $SYSTEM_MACHINE_ID ] ; then
if [ ! -d $DBUS_MACHINE_ID_DIR ] ; then
mkdir -p $DBUS_MACHINE_ID_DIR
chown messagebus:messagebus $DBUS_MACHINE_ID_DIR
fi
echo -n "Creating universally unique ID..."
$DBUS_UUIIDGEN_BIN --ensure
rc_status -v
fi
if checkproc -k -p $DBUS_DAEMON_PID $DBUS_DAEMON_BIN ; then
echo "D-Bus already started. Not starting."
exit 0
fi
if [ ! -d $DBUS_DAEMON_PID_DIR ] ; then
mkdir -p $DBUS_DAEMON_PID_DIR
chown messagebus:messagebus $DBUS_DAEMON_PID_DIR
fi
if [ -e $DBUS_DAEMON_PID ] ; then
echo "Removing stale PID file $DBUS_DAEMON_PID."
rm -f $DBUS_DAEMON_PID
fi
echo -n "Starting D-Bus daemon"
start_daemon -f $DBUS_DAEMON_BIN $DBUS_DAEMON_PARAMETER
rc_status -v
;;
stop)
echo -n "Shutting down D-Bus daemon"
if [ -x $CONSOLEKIT_DAEMON_BIN ] ; then
killproc -p $CONSOLEKIT_PID -TERM $CONSOLEKIT_DAEMON_BIN
fi
killproc -p $DBUS_DAEMON_PID -TERM $DBUS_DAEMON_BIN
rc_status -v
;;
try-restart)
$0 status >/dev/null && $0 restart
rc_status
;;
restart)
$0 stop
$0 start
rc_status
;;
force-reload)
$0 reload
rc_status
;;
reload)
echo -n "Reload service D-Bus daemon"
dbus-send --type=method_call --system --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig
rc_status -v
;;
status)
echo -n "Checking for service D-Bus daemon"
checkproc -k -p $DBUS_DAEMON_PID $DBUS_DAEMON_BIN
if [ $? -eq 7 ]; then
rc_failed 3
fi
rc_status -v
;;
probe)
## Optional: Probe for the necessity of a reload, print out the
## argument to this init script which is required for a reload.
## Note: probe is not (yet) part of LSB (as of 1.2)
# test /etc/FOO/FOO.conf -nt /var/run/FOO.pid && echo reload
;;
*)
echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
exit 1
;;
esac
rc_exit